<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.


namespace PrometheusModule\Form;

use Cake\Form\Form;
use Cake\Form\Schema;
use Cake\Validation\Validator;
use PrometheusModule\Lib\AlertRuleValidationRules;
use PrometheusModule\Lib\ForLengths;

/**
 * Class PrometheusServiceForm
 * @package PrometheusModule\Form
 */
class PrometheusServiceForm extends Form {

    /**
     * @param Schema $schema
     * @return Schema
     */
    protected function _buildSchema(Schema $schema): Schema {
        $schema
            ->addField('servicetemplate_id', ['type' => 'int'])
            ->addField('name', ['type' => 'string'])
            ->addField('longer_as', ['type' => 'string'])
            ->addField('unit', ['type' => 'string'])
            ->addField('promql', ['type' => 'string']);

        return $schema;
    }

    /**
     * @param Validator $validator
     * @return Validator
     */
    public function validationDefault(Validator $validator): Validator {

        $validator
            ->notEmptyString('name')
            ->requirePresence('name', 'create');

        $validator
            ->integer('servicetemplate_id')
            ->requirePresence('servicetemplate_id', 'create')
            ->greaterThanOrEqual('servicetemplate_id', 1);

        // Rules are used in PrometheusModule\Form\PrometheusServiceForm and \PrometheusModule\Model\Table\PrometheusAlertRulesTable;
        $validator = AlertRuleValidationRules::attachRules($validator);

        return $validator;
    }
}