<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

namespace PrometheusModule\Lib;


use itnovum\openITCOCKPIT\Core\Menu\MenuCategory;
use itnovum\openITCOCKPIT\Core\Menu\MenuHeadline;
use itnovum\openITCOCKPIT\Core\Menu\MenuInterface;
use itnovum\openITCOCKPIT\Core\Menu\MenuLink;

class Menu implements MenuInterface {

    /**
     * @return array
     */
    public function getHeadlines() {
        $Monitoring = new MenuHeadline(\itnovum\openITCOCKPIT\Core\Menu\Menu::MENU_MONITORING);
        $Monitoring
            ->addCategory((new MenuCategory(
                'Prometheus',
                __('Prometheus'),
                1000,
                'fas fa-burn'
            ))
                ->addLink(new MenuLink(
                    __('Query'),
                    'PrometheusQueryIndex',
                    'PrometheusQuery',
                    'index',
                    'PrometheusModule',
                    'fas fa-code',
                    [__('Prometheus'), __('Query')],
                    1
                ))
                ->addLink(new MenuLink(
                    __('Exporters'),
                    'PrometheusExportersIndex',
                    'PrometheusExporters',
                    'index',
                    'PrometheusModule',
                    'fas fa-broadcast-tower',
                    [__('Prometheus')],
                    2
                ))
            );

        return [$Monitoring];
    }

}
