<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

declare(strict_types=1);

namespace PrometheusModule\Model\Entity;

use App\Model\Entity\Host;
use App\Model\Entity\Hosttemplate;
use Cake\ORM\Entity;

/**
 * PrometheusExporter Entity
 *
 * @property int $id
 * @property string $name
 * @property int $container_id
 * @property string $metric_path
 * @property int $port
 * @property bool $add_target_port
 * @property string $scrape_interval
 * @property string $scrape_timeout
 * @property string $service
 * @property string $yaml
 *
 * @property \App\Model\Entity\Container $container
 * @property Hosttemplate[] $hosttemplates
 * @property Host[] $hosts
 */
class PrometheusExporter extends Entity {
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'name'            => true,
        'container_id'    => true,
        'metric_path'     => true,
        'port'            => true,
        'add_target_port' => true,
        'scrape_interval' => true,
        'scrape_timeout'  => true,
        'service'         => true,
        'yaml'            => true,
        'container'       => true,
        'hosttemplates'   => true,
        'hosts'           => true
    ];
}
