<!-- Prometheus state overview table -->
<div class="row">
    <div class="col-lg-12">
        <h3 class="margin-top-5"><?php echo __('Prometheus state overview'); ?></h3>
    </div>

    <div class="col-xs-12 col-sm-12">
        <table class="table table-bordered table-sm">
           <tbody>
           <tr>
               <td><?php echo __('PromQL'); ?></td>
               <td> <code class="no-background">{{alertRule.promql}}</code></td>
           </tr>
           <tr>
               <td><?php echo __('Metric count'); ?></td>
               <td>{{ metricDetails.length }}</td>
           </tr>
           </tbody>
    </div>

    <div class="col-xs-12 col-sm-12">
        <table class="table table-striped table-bordered table-sm">
            <thead>
            <tr>
                <th><?= __('Metric'); ?></th>
                <th><?= __('Value'); ?></th>
                <th><?= __('Unit'); ?></th>
            </tr>
            </thead>
            <tbody>
            <tr ng-repeat="metricDetail in metricDetails"
            ng-if="showAll || ($index < displayLimit)">
                <td>
                    <span class="no-padding bold">{{metricDetail.key}}</span>
                    {<code class="no-padding"
                           ng-repeat="(subKey, value) in metricDetail.details"
                           ng-if="subKey !== '__name__'">
                        {{subKey}}="{{value}}"{{$last ? '' : ','}}
                    </code>}
                </td>
                <td>{{metricDetail.value}}</td>
                <td>{{alertRule.unit}}</td>
            </tr>
            <tr ng-show="metricDetails.length > displayLimit">
                <td colspan="3" class="text-center pointer" ng-click="toggleShowAll()">
                    <i class="fa-solid fa-caret-down" ng-hide="showAll"></i>
                    <i class="fa-solid fa-caret-up" ng-show="showAll"></i>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</div>