<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

$ForLengths = new \PrometheusModule\Lib\ForLengths();

?>
<ol class="breadcrumb page-breadcrumb">
    <li class="breadcrumb-item">
        <a ui-sref="DashboardsIndex">
            <i class="fa fa-home"></i> <?php echo __('Home'); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <a ui-sref="PrometheusQueryIndex">
            <i class="fas fa-burn"></i> <?php echo __('Prometheus Module'); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <i class="fa fa-cog"></i> <?php echo __('Edit Prometheus alert rule'); ?>
    </li>
</ol>


<div class="row">
    <div class="col-xl-12">
        <div id="panel-1" class="panel">
            <div class="panel-hdr">
                <h2>
                    <?php echo __('Edit Prometheus alert rule'); ?>
                </h2>

                <div class="panel-toolbar">
                    <button data-toggle="modal"
                            data-target="#promQLHelpModal"
                            class="btn btn-xs btn-primary mr-1 shadow-0">
                        <i class="fas fa-info"></i>
                        <?php echo __('PromQL help'); ?>
                    </button>
                </div>


            </div>
            <div class="panel-container show">
                <div class="panel-content">
                    <div class="form-group required">
                        <label class="control-label">
                            <?= __('Selected metrics to use'); ?>
                        </label>
                        <select
                                data-placeholder="<?php echo __('Please choose'); ?>"
                                class="form-control"
                                multiple
                                chosen="metrics"
                                callback="load"
                                ng-options="metric.key as metric.value for metric in metrics"
                                ng-model="metricsSelected">
                        </select>
                    </div>
                    <div class="row padding-top-20">
                        <div class="col">
                            <fieldset>
                                <h5><?= __('Available metrics'); ?></h5>
                                <button ng-repeat="metricSelected in metricsSelected"
                                        class="margin-5 btn btn-primary btn-md"
                                        ng-click="addMetricString(metricSelected)">
                                    {{metricSelected}}
                                </button>
                            </fieldset>
                        </div>
                    </div>
                    <div class="row padding-top-20">
                        <div class="col-xs-12 col-md-3 col-lg-1">
                            <fieldset>
                                <h5><?= __('Brackets'); ?></h5>
                                <button class="margin-5 btn btn-info btn-xs"
                                        ng-click="addToString('(')">
                                    (
                                </button>
                                <button class="margin-5 btn btn-info btn-xs"
                                        ng-click="addToString(')')">
                                    )
                                </button>
                            </fieldset>
                        </div>
                        <div class="col-xs-12 col-md-3 col-lg-3">
                            <fieldset>
                                <h5><?= __('Arithmetic binary operators'); ?></h5>
                                <button class="margin-5 btn btn-success btn-xs" title="<?= __('addition'); ?>"
                                        ng-click="addToString('+')">
                                    +
                                </button>
                                <button class="margin-5 btn btn-success btn-xs" title="<?= __('subtraction'); ?>"
                                        ng-click="addToString('-')">
                                    -
                                </button>
                                <button class="margin-5 btn btn-success btn-xs" title="<?= __('multiplication'); ?>"
                                        ng-click="addToString('*')">
                                    *
                                </button>
                                <button class="margin-5 btn btn-success btn-xs" title="<?= __('division'); ?>"
                                        ng-click="addToString('/')">
                                    /
                                </button>
                                <button class="margin-5 btn btn-success btn-xs" title="<?= __('modulo'); ?>"
                                        ng-click="addToString('%')">
                                    %
                                </button>
                                <button class="margin-5 btn btn-success btn-xs"
                                        title="<?= __('power/exponentiation'); ?>"
                                        ng-click="addToString('^')">
                                    ^
                                </button>
                            </fieldset>
                        </div>
                        <div class="col-xs-12 col-md-3 col-lg-6">
                            <fieldset>
                                <h5><?= __('Aggregation operators'); ?></h5>
                                <button class="margin-5 btn btn-default btn-xs"
                                        title="<?= __('calculate sum over dimensions'); ?>"
                                        ng-click="addAggregationToString('sum')">
                                    sum
                                </button>
                                <button class="margin-5 btn btn-default btn-xs"
                                        title="<?= __('select minimum over dimensions'); ?>"
                                        ng-click="addAggregationToString('min')">
                                    min
                                </button>
                                <button class="margin-5 btn btn-default btn-xs"
                                        title="<?= __('select maximum over dimensions'); ?>"
                                        ng-click="addAggregationToString('max')">
                                    max
                                </button>
                                <button class="margin-5 btn btn-default btn-xs"
                                        title="<?= __('calculate the average over dimensions'); ?>"
                                        ng-click="addAggregationToString('avg')">
                                    avg
                                </button>
                                <button class="margin-5 btn btn-default btn-xs"
                                        title="<?= __('calculate population standard deviation over dimensions'); ?>"
                                        ng-click="addAggregationToString('stddev')">
                                    stddev
                                </button>
                                <button class="margin-5 btn btn-default btn-xs"
                                        title="<?= __('calculate population standard variance over dimensions'); ?>"
                                        ng-click="addAggregationToString('stdvar')">
                                    stdvar
                                </button>
                                <button class="margin-5 btn btn-default btn-xs"
                                        title="<?= __('count number of elements in the vector'); ?>"
                                        ng-click="addAggregationToString('count')">
                                    count
                                </button>
                                <button class="margin-5 btn btn-default btn-xs"
                                        title="<?= __('count number of elements with the same value'); ?>"
                                        ng-click="addAggregationToString('count_values')">
                                    count_values
                                </button>
                                <button class="margin-5 btn btn-default btn-xs"
                                        title="<?= __('smallest k elements by sample value'); ?>"
                                        ng-click="addAggregationToString('bottomk')">
                                    bottomk
                                </button>
                                <button class="margin-5 btn btn-default btn-xs"
                                        title="<?= __('largest k elements by sample value'); ?>"
                                        ng-click="addAggregationToString('topk')">
                                    topk
                                </button>
                                <button class="margin-5 btn btn-default btn-xs"
                                        title="<?= __('calculate φ-quantile (0 ≤ φ ≤ 1) over dimensions'); ?>"
                                        ng-click="addAggregationToString('quantile')">
                                    quantile
                                </button>
                            </fieldset>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col col-12">
                            <hr/>
                        </div>
                    </div>

                    <div class="row padding-top-20">
                        <div class="col-xs-12 col-md-12 col-lg-12">
                            <div class="form-group required" ng-class="{'has-error': errors.promql}">
                                <label class="control-label">
                                    <?= __('PromQL query') ?>
                                </label>
                                <div class="input-group mb-3">
                                    <div class="input-group-append">
                                        <button class="btn btn-danger" type="button"
                                                ng-click="postData.Service.prometheus_alert_rule.promql='';currentServiceStringValue='';">
                                            <?= __('Reset'); ?>
                                        </button>
                                    </div>
                                    <textarea class="form-control" rows="4"
                                              style="border: 1px solid #f6f6f6" placeholder="<?= __('Query area'); ?>"
                                              ng-model="postData.Service.prometheus_alert_rule.promql">
                                    {{postData.Service.prometheus_alert_rule.promql}}
                                </textarea>
                                    <div class="input-group-append">
                                        <button class="btn btn-success" type="button"
                                                ng-click="loadCurrentMetricValue()">
                                            <?= __('Execute'); ?>
                                        </button>
                                    </div>
                                </div>
                            </div>
                            <div ng-repeat="error in errors.promql">
                                <div class="help-block text-danger">{{ error }}</div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col col-9 font-md text-info">
                            <?= __('Query result'); ?>:
                            <span ng-show="currentServiceStringValue">
                                {{currentServiceStringValue}}
                            </span>
                            <span class="italic" ng-show="currentServiceStringValue === null">
                                <?= __('no data'); ?>
                            </span>
                        </div>
                    </div>
                    <div class="row" ng-show="queryError">
                        <div class="col col-xs-12 down">
                            {{queryError}}
                        </div>
                    </div>

                    <div class="row padding-top-10">

                        <div class="col-12">
                            <h5><?= __('Service and alert definition'); ?></h5>
                        </div>

                        <div class="col-12">
                            <div class="form-group required" ng-class="{'has-error': errors.threshold_type}">
                                <label class="control-label" for="thresholdTypeSelect">
                                    <?php echo __('Threshold type'); ?>
                                </label>
                                <div class="input-group" style="width: 100%;">
                                    <select
                                            id="thresholdTypeSelect"
                                            data-placeholder="<?php echo __('Please choose'); ?>"
                                            class="form-control"
                                            chosen="exporters"
                                            ng-model="postData.Service.prometheus_alert_rule.threshold_type">
                                        <option value="scalar"><?= __('Scalar') ?></option>
                                        <option value="range_inclusive"><?= __('Range Inclusive (≥ 10 and ≤ 20 - inside the range of 10 to 20)') ?></option>
                                        <option value="range_exclusive"><?= __('Range Exclusive (< 10 or > 20 - outside the range of 10 to 20)') ?></option>
                                    </select>
                                </div>
                                <div ng-repeat="error in errors.threshold_type">
                                    <div class="help-block text-danger">{{ error }}</div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12 warning padding-top-10">
                            <div class="row">
                                <div class="col-12">
                                    <i class="fas fa-exclamation-triangle"></i>
                                    <?= __('Warning') ?>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-xs-12 col-md-4 col-lg-4"
                                     ng-if="postData.Service.prometheus_alert_rule.threshold_type === 'scalar'">
                                    <div class="form-group required" ng-class="{'has-error': errors.warning_operator}">
                                        <label class="control-label">
                                            <?php echo __('Operator'); ?>
                                        </label>
                                        <select
                                                data-placeholder="<?php echo __('Please choose'); ?>"
                                                class="form-control"
                                                chosen="exporters"
                                                ng-model="postData.Service.prometheus_alert_rule.warning_operator">
                                            <option value="<?= h('==') ?>"><?= __('== (equal)') ?></option>
                                            <option value="<?= h('!=') ?>"><?= __('!= (not equal)') ?></option>
                                            <option value="<?= h('>') ?>"><?= __('> (greater-than)') ?></option>
                                            <option value="<?= h('<') ?>"><?= __('< (less-than)') ?></option>
                                            <option value="<?= h('>=') ?>"><?= __('>= (greater-or-equal)') ?></option>
                                            <option value="<?= h('<=') ?>"><?= __('<= (less-or-equal)') ?></option>
                                        </select>
                                        <div ng-repeat="error in errors.warning_operator">
                                            <div class="help-block text-danger">{{ error }}</div>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-xs-12 col-md-4 col-lg-4"
                                     ng-if="postData.Service.prometheus_alert_rule.threshold_type !== 'scalar'">
                                    <label class="control-label">
                                        <?php echo __('Operator'); ?>
                                    </label>
                                    <select
                                            data-placeholder="<?php echo __('Please choose'); ?>"
                                            class="form-control"
                                            disabled="disabled"
                                            chosen="{}">
                                        <option value="auto"><?= __('automatically') ?></option>
                                    </select>
                                </div>

                                <div class="col-xs-12 col-md-4 col-lg-4"
                                     ng-if="postData.Service.prometheus_alert_rule.threshold_type === 'scalar'">
                                    <div class="form-group required" ng-class="{'has-error': errors.warning_min}">
                                        <label class="control-label">
                                            <?php echo __('Warning'); ?>
                                        </label>
                                        <input type="number" class="form-control"
                                               ng-model="postData.Service.prometheus_alert_rule.warning_min">
                                        <div ng-repeat="error in errors.warning_min">
                                            <div class="help-block text-danger">{{ error }}</div>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-xs-12 col-md-2 col-lg-2"
                                     ng-if="postData.Service.prometheus_alert_rule.threshold_type !== 'scalar'">
                                    <div class="form-group required" ng-class="{'has-error': errors.warning_min}">
                                        <label class="control-label">
                                            <?php echo __('Warning min'); ?>
                                        </label>
                                        <input type="number" class="form-control"
                                               ng-model="postData.Service.prometheus_alert_rule.warning_min">
                                        <div ng-repeat="error in errors.warning_min">
                                            <div class="help-block text-danger">{{ error }}</div>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-xs-12 col-md-2 col-lg-2"
                                     ng-if="postData.Service.prometheus_alert_rule.threshold_type !== 'scalar'">
                                    <div class="form-group required" ng-class="{'has-error': errors.warning_max}">
                                        <label class="control-label">
                                            <?php echo __('Warning max'); ?>
                                        </label>
                                        <input type="number" class="form-control"
                                               ng-model="postData.Service.prometheus_alert_rule.warning_max">
                                        <div ng-repeat="error in errors.warning_max">
                                            <div class="help-block text-danger">{{ error }}</div>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-xs-12 col-md-2 col-lg-2">
                                    <div class="form-group required" ng-class="{'has-error': errors.warning_longer_as}">
                                        <label class="control-label">
                                            <?php echo __('Longer than...'); ?>
                                        </label>
                                        <div class="input-group" style="width: 100%;">
                                            <select
                                                    id="longerAsSelect"
                                                    data-placeholder="<?php echo __('Please choose'); ?>"
                                                    class="form-control"
                                                    chosen="exporters"
                                                    ng-model="postData.Service.prometheus_alert_rule.warning_longer_as">
                                                <?php foreach ($ForLengths->getLengths() as $lengthKey => $lengthName): ?>
                                                    <option value="<?= h($lengthKey) ?>"><?= h($lengthName) ?></option>
                                                <?php endforeach; ?>
                                            </select>
                                        </div>
                                        <div ng-repeat="error in errors.warning_longer_as">
                                            <div class="help-block text-danger">{{ error }}</div>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-xs-12 col-md-2 col-lg-2 padding-top-25"
                                     ng-if="postData.Service.prometheus_alert_rule.threshold_type !== 'scalar'">
                                    <thresholds
                                            inclusive="(postData.Service.prometheus_alert_rule.threshold_type === 'range_inclusive')"
                                            min="postData.Service.prometheus_alert_rule.warning_min"
                                            max="postData.Service.prometheus_alert_rule.warning_max"
                                            type="'warning'"></thresholds>
                                </div>
                            </div>

                        </div>
                        <div class="col-12 critical padding-top-10">
                            <div class="row">
                                <div class="col-12">
                                    <i class="fas fa-exclamation-triangle"></i>
                                    <?= __('Critical') ?>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-xs-12 col-md-4 col-lg-4"
                                     ng-if="postData.Service.prometheus_alert_rule.threshold_type === 'scalar'">
                                    <div class="form-group required" ng-class="{'has-error': errors.critical_operator}">
                                        <label class="control-label">
                                            <?php echo __('Operator'); ?>
                                        </label>
                                        <select
                                                data-placeholder="<?php echo __('Please choose'); ?>"
                                                class="form-control"
                                                chosen="exporters"
                                                ng-model="postData.Service.prometheus_alert_rule.critical_operator">
                                            <option value="<?= h('==') ?>"><?= __('== (equal)') ?></option>
                                            <option value="<?= h('!=') ?>"><?= __('!= (not equal)') ?></option>
                                            <option value="<?= h('>') ?>"><?= __('> (greater-than)') ?></option>
                                            <option value="<?= h('<') ?>"><?= __('< (less-than)') ?></option>
                                            <option value="<?= h('>=') ?>"><?= __('>= (greater-or-equal)') ?></option>
                                            <option value="<?= h('<=') ?>"><?= __('<= (less-or-equal)') ?></option>
                                        </select>
                                        <div ng-repeat="error in errors.critical_operator">
                                            <div class="help-block text-danger">{{ error }}</div>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-xs-12 col-md-4 col-lg-4"
                                     ng-if="postData.Service.prometheus_alert_rule.threshold_type !== 'scalar'">
                                    <label class="control-label">
                                        <?php echo __('Operator'); ?>
                                    </label>
                                    <select
                                            data-placeholder="<?php echo __('Please choose'); ?>"
                                            class="form-control"
                                            disabled="disabled"
                                            chosen="{}">
                                        <option value="auto"><?= __('automatically') ?></option>
                                    </select>
                                </div>

                                <div class="col-xs-12 col-md-4 col-lg-4"
                                     ng-if="postData.Service.prometheus_alert_rule.threshold_type === 'scalar'">
                                    <div class="form-group required" ng-class="{'has-error': errors.critical_min}">

                                        <label class="control-label">
                                            <?php echo __('Critical'); ?>
                                        </label>
                                        <input type="number" class="form-control"
                                               ng-model="postData.Service.prometheus_alert_rule.critical_min">
                                        <div ng-repeat="error in errors.critical_min">
                                            <div class="help-block text-danger">{{ error }}</div>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-xs-12 col-md-2 col-lg-2"
                                     ng-if="postData.Service.prometheus_alert_rule.threshold_type !== 'scalar'">
                                    <div class="form-group required" ng-class="{'has-error': errors.critical_min}">

                                        <label class="control-label">
                                            <?php echo __('Critical min'); ?>
                                        </label>
                                        <input type="number" class="form-control"
                                               ng-model="postData.Service.prometheus_alert_rule.critical_min">
                                        <div ng-repeat="error in errors.critical_min">
                                            <div class="help-block text-danger">{{ error }}</div>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-xs-12 col-md-2 col-lg-2"
                                     ng-if="postData.Service.prometheus_alert_rule.threshold_type !== 'scalar'">
                                    <div class="form-group required" ng-class="{'has-error': errors.critical_max}">

                                        <label class="control-label">
                                            <?php echo __('Critical max'); ?>
                                        </label>
                                        <input type="number" class="form-control"
                                               ng-model="postData.Service.prometheus_alert_rule.critical_max">
                                        <div ng-repeat="error in errors.critical_max">
                                            <div class="help-block text-danger">{{ error }}</div>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-xs-12 col-md-2 col-lg-2">
                                    <div class="form-group required"
                                         ng-class="{'has-error': errors.critical_longer_as}">
                                        <label class="control-label">
                                            <?php echo __('Longer than...'); ?>
                                        </label>
                                        <div class="input-group" style="width: 100%;">
                                            <select
                                                    id="longerAsSelect"
                                                    data-placeholder="<?php echo __('Please choose'); ?>"
                                                    class="form-control"
                                                    chosen="exporters"
                                                    ng-model="postData.Service.prometheus_alert_rule.critical_longer_as">
                                                <?php foreach ($ForLengths->getLengths() as $lengthKey => $lengthName): ?>
                                                    <option value="<?= h($lengthKey) ?>"><?= h($lengthName) ?></option>
                                                <?php endforeach; ?>
                                            </select>
                                        </div>
                                        <div ng-repeat="error in errors.critical_longer_as">
                                            <div class="help-block text-danger">{{ error }}</div>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-xs-12 col-md-2 col-lg-2 padding-top-25"
                                     ng-if="postData.Service.prometheus_alert_rule.threshold_type !== 'scalar'">
                                    <thresholds
                                            inclusive="(postData.Service.prometheus_alert_rule.threshold_type === 'range_inclusive')"
                                            min="postData.Service.prometheus_alert_rule.critical_min"
                                            max="postData.Service.prometheus_alert_rule.critical_max"
                                            type="'critical'"></thresholds>
                                </div>

                            </div>

                        </div>
                    </div>

                    <div class="row padding-top-10">
                        <div class="col-12">
                            <div class="form-group required"
                                 ng-class="{'has-error': errors.servicetemplate_id}">
                                <label class="control-label">
                                    <?php if ($this->Acl->hasPermission('edit', 'servicetemplates')): ?>
                                        <a ui-sref="ServicetemplatesEdit({id:postData.Service.servicetemplate_id})"
                                           ng-if="postData.Service.servicetemplate_id > 0">
                                            <?php echo __('Service template'); ?>
                                        </a>
                                        <span ng-if="!postData.Service.servicetemplate_id"><?php echo __('Service template'); ?></span>
                                    <?php else: ?>
                                        <?php echo __('Service template'); ?>
                                    <?php endif; ?>
                                </label>
                                <select
                                        id="ServiceServicetemplateSelect"
                                        data-placeholder="<?php echo __('Please choose'); ?>"
                                        class="form-control"
                                        chosen="servicetemplates"
                                        ng-options="servicetemplate.key as servicetemplate.value for servicetemplate in servicetemplates"
                                        ng-model="postData.Service.servicetemplate_id">
                                </select>
                                <div ng-show="postData.Service.servicetemplate_id < 1"
                                     class="warning-glow">
                                    <?php echo __('Please select a service template.'); ?>
                                </div>
                                <div ng-repeat="error in errors.servicetemplate_id">
                                    <div class="help-block text-danger">{{ error }}</div>
                                </div>
                            </div>

                            <div class="form-group required" ng-class="{'has-error': errors.name}">
                                <label class="control-label">
                                    <?php echo __('Service name'); ?>
                                </label>
                                <input
                                        id="ServiceName"
                                        class="form-control"
                                        type="text"
                                        ng-model="postData.Service.name">
                                <div ng-repeat="error in errors.name">
                                    <div class="help-block text-danger">{{ error }}</div>
                                </div>
                            </div>
                        </div>

                        <div class="col-12 padding-top-10">
                            <div class="form-group" ng-class="{'has-error': errors.unit}">
                                <label class="control-label">
                                    <?php echo __('Metric unit'); ?>
                                </label>
                                <input
                                        id="ServiceName"
                                        class="form-control"
                                        type="text"
                                        ng-model="postData.Service.prometheus_alert_rule.unit">
                                <div ng-repeat="error in errors.unit">
                                    <div class="help-block text-danger">{{ error }}</div>
                                </div>
                            </div>
                        </div>

                        <div class="col-xs-12 col-md-6">
                            <div class="help-block">
                                <?= __('Unit of the metric.') ?>
                                <br/>
                                <?= __('Examples:') ?>
                                <ul>
                                    <li><?= __('"b" for bytes.'); ?></li>
                                    <li><?= __('"KB" for kilobytes.'); ?></li>
                                    <li><?= __('"s" for seconds.'); ?></li>
                                    <li><?= __('"Mbps" or "Mbit/s"'); ?></li>
                                    <li><?= __('"MB/s" for megabytes per second'); ?></li>
                                </ul>
                            </div>
                        </div>
                    </div>


                    <div class="card margin-top-10">
                        <div class="card-body">
                            <div class="float-right">
                                <button class="btn btn-primary" type="button" ng-click="editService();">
                                    <?php echo __('Update alert rule'); ?>
                                </button>
                                <a back-button href="javascript:void(0);" fallback-state='PrometheusAlertRulesIndex'
                                   class="btn btn-default">
                                    <?php echo __('Cancel'); ?>
                                </a>
                            </div>
                        </div>
                    </div>

                    <div class="row padding-top-20">
                        <div class="col col-12">
                            <hr/>
                        </div>
                        <div class="col col-12">
                            <fieldset>
                                <h5><?= __('Current values'); ?></h5>
                                <table class="table table-striped table-bordered">
                                    <thead>
                                    <tr>
                                        <th><?= __('Element'); ?></th>
                                        <th><?= __('Value'); ?></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr ng-repeat="metricDetail in metricDetails">
                                        <td>
                                            <span class="no-padding bold">{{metricDetail.key}}</span>
                                            {<code class="no-padding"
                                                   ng-repeat="(subKey, value) in metricDetail.details"
                                                   ng-if="subKey !== '__name__'">
                                                {{subKey}}="{{value}}"{{$last ? '' : ','}}
                                            </code>}
                                        </td>
                                        <td>{{metricDetail.value}}</td>
                                    </tr>
                                    </tbody>
                                </table>
                            </fieldset>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- PromQL Modal -->
<?php echo $this->element('promql_modal'); ?>
<!-- End Modal -->



