<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.
?>
<!-- PromQL Modal -->
<div id="promQLHelpModal" class="modal" role="dialog">
    <div class="modal-dialog modal-xl" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">
                    <i class="fas fa-info"></i>
                    <?php echo __('PromQL help and example queries'); ?>
                </h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true"><i class="fa fa-times"></i></span>
                </button>
            </div>
            <div class="modal-body">

                <div class="row">
                    <div class="col-12">
                        <h5><?= __('Linux memory usage in percent'); ?></h5>
                    </div>
                    <div class="col-12">
                        <code>node_memory_MemAvailable_bytes{uuid="{{host.uuid}}"} /
                            node_memory_MemTotal_bytes{uuid="{{host.uuid}}"} * 100</code>
                    </div>
                </div>

                <div class="row padding-top-10">
                    <div class="col-12">
                        <h5><?= __('Average MB/s network traffic (transmit) over the last 2 minutes'); ?></h5>
                    </div>
                    <div class="col-12">
                        <code>rate(node_network_transmit_bytes_total{uuid="{{host.uuid}}",
                            device="enp0s8"}[2m]) / 1024 / 1024</code>
                    </div>
                </div>

                <div class="row padding-top-10">
                    <div class="col-12">
                        <h5><?= __('Average Mbit/s network traffic (transmit) over the last 2 minutes'); ?></h5>
                    </div>
                    <div class="col-12">
                        <code>rate(node_network_transmit_bytes_total{uuid="{{host.uuid}}",
                            device="enp0s8"}[2m]) * 8 / 1000 / 1000</code>
                    </div>
                </div>

                <div class="row padding-top-10">
                    <div class="col-12">
                        <h5><?= __('Average Mbit/s network traffic (transmit) of all network interfaces over the last 2 minutes'); ?></h5>
                    </div>
                    <div class="col-12">
                        <code>sum(rate(node_network_transmit_bytes_total{uuid="{{host.uuid}}"}[2m]))
                            * 8 / 1000 / 1000</code>
                    </div>
                </div>

                <div class="row padding-top-10">
                    <div class="col-12">
                        <h5><?= __('Average MB/s written to disk sda over the last 2 minutes'); ?></h5>
                    </div>
                    <div class="col-12">
                        <code>rate(node_disk_written_bytes_total{uuid="{{host.uuid}}",
                            device="sda"}[2m]) / 1024 / 1024</code>
                    </div>
                </div>

                <div class="row padding-top-10">
                    <div class="col-12">
                        <h5><?= __('Windows CPU usage in percentage'); ?></h5>
                    </div>
                    <div class="col-12">
                        <code>100 -
                            rate(windows_cpu_time_total{uuid="{{host.uuid}}",mode="idle"}[5m]) *
                            100</code>
                    </div>
                </div>

                <div class="row padding-top-10">
                    <div class="col-12">
                        <h5><?= __('Windows Disk usage in percentage'); ?></h5>
                    </div>
                    <div class="col-12">
                        <code>100 - (windows_logical_disk_free_bytes{uuid="{{host.uuid}}",
                            volume="C:"} / 1024 / 1024) /
                            (windows_logical_disk_size_bytes{uuid="{{host.uuid}}", volume="C:"} /
                            1024 / 1024) * 100</code>
                    </div>
                </div>

                <div class="row padding-top-10">
                    <div class="col-12">
                        <h5><?= __('Windows memory usage in percentage'); ?></h5>
                    </div>
                    <div class="col-12">
                        <code>windows_os_physical_memory_free_bytes{uuid="{{host.uuid}}"}
                            /windows_cs_physical_memory_bytes{uuid="{{host.uuid}}"} * 100</code>
                    </div>
                </div>

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">
                    <?php echo __('Close'); ?>
                </button>
            </div>
        </div>
    </div>
</div>
<!-- End Modal -->
