angular.module('openITCOCKPIT')
    .controller('PrometheusExportersAddController', function($scope, $http, $state, NotyService, RedirectService){

        $scope.data = {
            createAnother: false
        };

        var clearForm = function(){
            $scope.post = {
                PrometheusExporter: {
                    container_id: 0,
                    name: '',
                    scrape_interval: '30s',
                    scrape_timeout: '15s',
                    service: '',
                    metric_path: '/metrics',
                    port: 9010,
                    add_target_port: true,
                    yaml: ''
                }
            };
        };
        clearForm();

        $scope.loadContainers = function(){
            $http.get("/prometheus_module/PrometheusExporters/loadContainers.json", {
                params: {
                    'angular': true
                }
            }).then(function(result){
                $scope.containers = result.data.containers;
            });
        };

        $scope.submit = function(){
            $http.post("/prometheus_module/PrometheusExporters/add.json?angular=true",
                $scope.post
            ).then(function(result){
                var url = $state.href('PrometheusExportersEdit', {id: result.data.PrometheusExporter.id});
                NotyService.genericSuccess({
                    message: '<u><a href="' + url + '" class="txt-color-white"> '
                        + $scope.successMessage.objectName
                        + '</a></u> ' + $scope.successMessage.message
                });

                if($scope.data.createAnother === false){
                    RedirectService.redirectWithFallback('PrometheusExportersIndex');
                }else{
                    clearForm();
                    $scope.errors = {};
                    NotyService.scrollTop();
                }

                console.log('Data saved successfully');
            }, function errorCallback(result){

                NotyService.genericError();

                if(result.data.hasOwnProperty('error')){
                    $scope.errors = result.data.error;
                }
            });
        };


        //Fire on page load
        $scope.loadContainers();
    });