angular.module('openITCOCKPIT')
    .controller('PrometheusExportersIndexController', function($scope, $http, $stateParams, SortService){

        SortService.setSort('PrometheusExporters.name');
        SortService.setDirection('asc');

        $scope.currentPage = 1;
        $scope.useScroll = true;

        $scope.deleteUrl = '/prometheus_module/PrometheusExporters/delete/';

        /*** Filter Settings ***/
        var defaultFilter = function(){
            $scope.filter = {
                PrometheusExporters: {
                    name: '',
                    service: '',
                    scrape_interval: []
                }
            };
        };
        /*** Filter end ***/
        $scope.init = true;
        $scope.showFilter = false;


        $scope.load = function(){

            var params = {
                'angular': true,
                'scroll': $scope.useScroll,
                'sort': SortService.getSort(),
                'page': $scope.currentPage,
                'direction': SortService.getDirection(),
                'filter[PrometheusExporters.name]': $scope.filter.PrometheusExporters.name,
                'filter[PrometheusExporters.service]': $scope.filter.PrometheusExporters.service,
                'filter[PrometheusExporters.scrape_interval][]': $scope.filter.PrometheusExporters.scrape_interval
            };

            $http.get("/prometheus_module/PrometheusExporters/index.json", {
                params: params
            }).then(function(result){
                $scope.exporters = result.data.all_exporters;
                $scope.paging = result.data.paging;
                $scope.scroll = result.data.scroll;
                $scope.init = false;
            });
        };

        $scope.triggerFilter = function(){
            $scope.showFilter = !$scope.showFilter === true;
        };

        $scope.resetFilter = function(){
            defaultFilter();
        };

        $scope.changepage = function(page){
            if(page !== $scope.currentPage){
                $scope.currentPage = page;
                $scope.load();
            }
        };

        $scope.changeMode = function(val){
            $scope.useScroll = val;
            $scope.load();
        };

        $scope.getObjectForDelete = function(exporter){
            var object = {};
            object[exporter.id] = exporter.name;
            return object;
        };

        //Fire on page load
        defaultFilter();
        SortService.setCallback($scope.load);

        $scope.$watch('filter', function(){
            $scope.currentPage = 1;
            $scope.load();
        }, true);

    });
